<template>
  <footer v-if="!isShow" class="ml-0">
    <div class="w-full max-w-full px-4 mx-auto my-0">
      <div class="flex flex-col items-center w-full">
        <div
          v-if="!paymentMethod.IsHidden"
          class="flex justify-between flex-col w-full pt-7 border-t-[var(--border-color)] border-t-[1px]"
        >
          <div class="flex items-center justify-between mb-7">
            <h2
              class="w-full mb-0 leading-[1.5] font-bold text-2xl uppercase text-[var(--title-font-color)]"
            >
              {{ paymentMethod.Text }}
            </h2>
          </div>
          <div class="w-full pb-7">
            <nuxt-link
              :to="paymentMethod.HyperLink"
              class="flex justify-center items-center p-[15px]"
            >
              <img
                class="object-scale-down h-auto max-w-full max-h-full align-middle"
                :src="paymentMethod.ImagePath"
                alt=""
              />
            </nuxt-link>
          </div>
        </div>
        <div
          v-if="!gameProvider.IsHidden"
          class="flex justify-between flex-col w-full pt-7 border-t-[var(--border-color)] border-t-[1px]"
        >
          <div class="flex items-center justify-between mb-7">
            <h2
              class="w-full mb-0 leading-[1.5] font-bold text-2xl uppercase text-[var(--title-font-color)]"
            >
              {{ gameProvider.Text }}
            </h2>
          </div>
          <div class="w-full pb-7">
            <nuxt-link
              :to="gameProvider.HyperLink"
              class="flex justify-center items-center p-[15px]"
            >
              <img
                class="object-scale-down h-auto max-w-full max-h-full align-middle"
                :src="gameProvider.ImagePath"
                alt=""
              />
            </nuxt-link>
          </div>
        </div>
        <div
          class="flex flex-col w-full pt-7 border-t-[var(--border-color)] border-t-[1px]"
        >
          <div
            class="flex-wrap flex justify-center items-center w-full mb-[40px]"
          >
            <div class="w-full text-center mb-[40px]">
              <nuxt-link class="flex justify-center" :to="miniLogo.HyperLink">
                <img
                  class="h-auto max-w-full align-middle border-0"
                  :src="miniLogo.ImagePath"
                  alt=""
                />
              </nuxt-link>
            </div>
            <ul class="flex items-center justify-center w-full">
              <div
                v-for="contact in getContactList"
                :key="contact.HtmlId"
                class="socials__item"
              >
                <li
                  class="flex items-center justify-center rounded-full w-9 h-9 box-shadow"
                  @click="handleHyperlinkRender(contact.HyperLink)"
                >
                  <img
                    class="w-4 h-4 contrast-[var(--contrast)]"
                    :src="contact.ImagePath"
                    alt=""
                  />
                </li>
              </div>
            </ul>
          </div>
          <div class="flex w-full mb-[40px] justify-between flex-wrap">
            <div
              class="flex flex-col flex-wrap items-start text-[var(--font-color-primary)] w-[calc(50%-10px)] mb-[25px] mr-0"
            >
              <span
                class="w-full text-[16px] leading-[1.8] font-bold mb-[10px] uppercase"
              >
                {{ $t("information") }}
              </span>
              <ul class="">
                <div v-for="menu in menuInfo" :key="menu.HtmlId">
                  <nuxt-link class="text-[16px]" :to="menu.HyperLink">
                    <li class="py-3 pl-0 pr-3">
                      {{ menu.Text }}
                    </li>
                  </nuxt-link>
                </div>
              </ul>
            </div>
          </div>
          <div
            v-if="!copyRight.IsHidden"
            class="flex justify-between items-center py-3 border-t-[var(--border-color)] border-t-[1px] mb-[8vh]"
          >
            <div class="flex items-center justify-between">
              <p class="my-0 text-[var(--font-color-primary)] text-base">
                {{ copyRight.Text }}
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </footer>
</template>

<script lang="ts">
import _ from "lodash";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import commonHelper from "@/utils/commonHelper";

export default defineComponent({
  props: {
    themeProperties: {
      type: Array as PropType<Array<IThemePropertiesFromApi>>,
      required: true,
    },
  },
  setup(props) {
    const shownRoute = [
      "deposit",
      "withdrawal",
      "betHistory",
      "transaction-history",
    ];
    const paymentMethod = themePropertyHelper.getSingleThemeProperty(
      props.themeProperties,
      "footer_payment_method"
    );
    const gameProvider = themePropertyHelper.getSingleThemeProperty(
      props.themeProperties,
      "footer_game_provider"
    );
    const menuInfo = themePropertyHelper.getMultipleThemesProperties(
      props.themeProperties,
      "footer_menu_info_"
    );
    const copyRight = themePropertyHelper.getSingleThemeProperty(
      props.themeProperties,
      "footer_copyright"
    );
    const miniLogo = themePropertyHelper.getSingleThemeProperty(
      props.themeProperties,
      "mini_logo"
    );
    const { getContactList } = useContactUs();
    const route = useRoute();
    const isShow = computed(() =>
      shownRoute.includes(route.matched[0].name as string)
    );
    const { handleHyperlinkRender } = commonHelper;
    return {
      paymentMethod,
      gameProvider,
      miniLogo,
      getContactList,
      menuInfo,
      isShow,
      copyRight,
      handleHyperlinkRender,
    };
  },
});
</script>

<style>
.socials__item:not(:last-child) {
  margin-right: 12px;
}
</style>
